#!/bin/bash
CSV_FILE="$1"

if [ -z "$CSV_FILE" ] ; then
	echo No CSV file supplied... Exiting
	exit 1
fi

cat $CSV_FILE | grep -v '^#' | while read line ; do
	MAIL=`echo $line | awk -F';' '{ print $1 }'`
	USERNAME="$MAIL"
	PASSWORD=`echo $line | awk -F';' '{ print $3 }'`
	FULL_NAME=`echo $line | awk -F';' '{ print $2 }'`

	if grep "^$MAIL" /etc/aliases > /dev/null 2>&1 ; then
		echo $MAIL already exist
	else
		echo Adding $MAIL account
		echo -e "$MAIL:\t$MAIL" >> /etc/aliases
	fi
done
#postmap /etc/postfix/virtual
newaliases
